org.apache.cassandra.cql

## Class Relation

- java.lang.Object
- - org.apache.cassandra.cql.Relation

-     public class Relation
      extends java.lang.Object

  Relations encapsulate the relationship between an entity of some kind, and a value (term). For example, > "start" or "colname1" = "somevalue".

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Relation(Term entity, java.lang.String type, Term value)` Creates a new relation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Term` | `getEntity()`
    `Term` | `getValue()`
    `org.apache.cassandra.cql.RelationType` | `operator()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Relation

          public Relation(Term entity,
                  java.lang.String type,
                  Term value)

      Creates a new relation.
      Parameters:
        `entity` - the kind of relation this is; what the term is being compared to.
        `type` - the type that describes how this entity relates to the value.
        `value` - the value being compared.

  - ### Method Detail

    - #### operator

          public org.apache.cassandra.cql.RelationType operator()

    - #### getEntity

          public Term getEntity()

    - #### getValue

          public Term getValue()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation